import { AfterViewInit, Injector, NgZone, OnChanges, Renderer2, SimpleChanges, Type } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import type { Extensions } from '@tiptap/core';
import { TipBaseExtension } from '../../extensions/tip-base-extension';
import { ExtensionBuilder } from '../../extensions/base-extension.model';
export declare class EditorPreviewComponent implements AfterViewInit, OnChanges {
    private domSanitizer;
    private renderer;
    private injector;
    private ngZone;
    set content(value: object | string | null);
    extensions: Extensions;
    angularExtensions: ExtensionBuilder<any, Type<TipBaseExtension<any>>>[];
    private contentOutlet;
    private sanitizeHtml;
    private _content;
    private builtExtensions;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer2, injector: Injector, ngZone: NgZone);
    ngOnChanges(_: SimpleChanges): void;
    ngAfterViewInit(): void;
    renderOutput(content?: object | string | null): void;
}
